This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 554260 - Review Request: ibus-table-xingma - The structure tables for IBus-Table
Review Request: ibus-table-xingma - The structure tables for IBus-Table
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 01:54 EST by caius.chance
Modified: 2010-03-11 08:33 EST (History)
7 users (show)

See Also:
Fixed In Version: ibus-table-xingma-1.2.0.20100305-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-11 08:33:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dchen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Patch to ibus-table-xingma (1.11 KB, text/plain)
2010-03-03 22:30 EST, Ding-Yi Chen
no flags Details

  None (edit)
Description caius.chance 2010-01-11 01:54:29 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 1 caius.chance 2010-01-11 01:57:03 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-1.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 2 Naveen Kumar 2010-02-17 07:11:57 EST
Here's an unofficial review, using the checklist from: http://fedoraproject.org/wiki/User:Tibbs/Review_Template

- source files do not match upstream: Could not retrieve files from upstream, specified in specfile, to do checksum
Other checksum output from srpm sources were:
163844d682a24c334752749e2fbb445f9b403a2c56a66f261b3d4c4ca292c478  :ibus-table-xingma-1.2.0.20100111.tar.gz
74ef342db7795af6552da53a0f57927f6f5a47b9243df6ba77f4edad0b43eb0c  :ibus-table-xingma.spec

  
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.
     license text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
- Koji Build failed: http://koji.fedoraproject.org/koji/taskinfo?taskID=1992777
- rpmlint is not silent. (rpmlint version 0.91)

rpmlint OUTPUT on src rpm:
ibus-table-xingma.src: E: description-line-too-long The structure tables for IBus Table, namely Wu, Yong, ZhuYin, ZhuYin Big, ZiRanMa.
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

rpmlint OUTPUT on rpm:
ibus-table-xingma.noarch: E: description-line-too-long The structure tables for IBus Table, namely Wu, Yong, ZhuYin, ZhuYin Big, ZiRanMa.
ibus-table-xingma.noarch: W: obsolete-not-provided ibus-table-stroke5
ibus-table-xingma.noarch: W: obsolete-not-provided ibus-table-wubi
ibus-table-xingma.noarch: W: obsolete-not-provided ibus-table-xinhua
ibus-table-xingma.noarch: W: obsolete-not-provided ibus-table-zhengma
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


* final provides and requires output:
   rpm -qp --provides output:  
ibus-table-xingma = 1.2.0.20100111-1.fc12

   rpm -qp --requires output: 
/bin/sh  
ibus >= 1.2
ibus >= 1.2
ibus-table >= 1.2.0.20100111
ibus-table >= 1.2.0.20100111
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1


+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scriptlets sane
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
Comment 3 Caius Chance 2010-02-22 23:55:59 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-2.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 4 Caius Chance 2010-02-28 22:45:58 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-3.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 5 Ding-Yi Chen 2010-03-03 19:20:39 EST
I cannot download the source tarball, mind checking it?
Comment 6 Caius Chance 2010-03-03 19:57:20 EST
fixed url of tarball

Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-3.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 7 Ding-Yi Chen 2010-03-03 22:30:59 EST
Created attachment 397710 [details]
Patch to ibus-table-xingma

Patch to ibus-table-xingma
Comment 8 Ding-Yi Chen 2010-03-03 22:33:43 EST
rpmlint output:

ibus-table-xingma.src: W: spelling-error Summary(en_US) struct -> strict, strut, struck
ibus-table-xingma.src:19: W: unversioned-explicit-provides ibus-table-stroke5
ibus-table-xingma.src:19: W: unversioned-explicit-provides ibus-table-wubi
ibus-table-xingma.src:19: W: unversioned-explicit-provides ibus-table-xinhua
ibus-table-xingma.src:19: W: unversioned-explicit-provides ibus-table-zhengma
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

ibus-table-xingma.noarch: W: spelling-error Summary(en_US) struct -> strict, strut, struck
ibus-table-xingma.noarch: W: incoherent-version-in-changelog 1.2.0.20100111-3.fc13 ['1.2.0.20100111-3.fc12', '1.2.0.20100111-3']
ibus-table-xingma.noarch: W: self-obsoletion ibus-table-stroke5 <= 1.2.0.20100111 obsoletes ibus-table-stroke5
ibus-table-xingma.noarch: W: self-obsoletion ibus-table-wubi <= 1.2.0.20100111 obsoletes ibus-table-wubi
ibus-table-xingma.noarch: W: self-obsoletion ibus-table-xinhua <= 1.2.0.20100111 obsoletes ibus-table-xinhua
ibus-table-xingma.noarch: W: self-obsoletion ibus-table-zhengma <= 1.2.0.20100111 obsoletes ibus-table-zhengma
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Things to fix:
1. Spelling error in summary
2. I've provides a patch to fix the provide/obsolete error.
3. Remove dist tag in changelog

Otherwise looks fine to me.
Comment 9 Caius Chance 2010-03-04 00:06:52 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-4.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 10 Caius Chance 2010-03-04 00:32:03 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-5.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 11 Ding-Yi Chen 2010-03-04 01:40:32 EST
MUST:
+  rpmlint output is acceptable.
+  Package meets naming and packaging guidelines.
+  Package meets licensing guidelines, and match the source license.
+  Source files match upstream.
+  specfile is properly named, is cleanly written
+  Spec file is written in American English.
+  Spec file is legible.
+  dist tag is present.
+ BuildRoot is proper.
+  BuildRequires are proper.
+  Requires are proper.
+  %install starts with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+  %clean contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+  locale is handle by %find_lang.
+  %doc files present.
+  %doc files do not interfere runtime application.
+  Macros are consistently used.
+  ldconfig in %post and %postun if shared libraries are installed in default paths.
+  Package builds in koji.
+  Package contains code or permissible content.
+  Package installed properly.
+  No system library is bundled.
+  Not relocatable, unless proper justification is presented.
+  %files section must include a %defattr(...) line, and file permissions are correct.
+  No duplication in %files
+  File names are in valid UTF-8.
+  Own all directory it creates.
+  Files or directories are not owned by other packages.
+  No .la libtool archives exists.

SHOULD:
+  License text are in separate files.
+  Translations for supported non-English languages if available.
+  Package build in mock.
+  Package can build in all supported architectures.
+  Package runs properly.
+  Scriptlets are sane.
+  No direct files dependencies, unless they are in either /etc, /bin, /sbin, /usr/bin, or /usr/sbin

APPROVED
Comment 12 Caius Chance 2010-03-04 02:20:09 EST
New Package CVS Request
=======================
Package Name: ibus-tables-xingma
Short Description: The structural tables for IBus-Table 
Owners: kaio
Branches: F-13
InitialCC: i18n-team
Comment 13 Caius Chance 2010-03-05 01:31:04 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100111-6.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 14 Caius Chance 2010-03-05 01:47:14 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100305-1.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 15 Caius Chance 2010-03-05 02:27:15 EST
Spec URL: http://kaio.fedorapeople.org/packaging/ibus-table-xingma.spec
SRPM URL:
http://kaio.fedorapeople.org/packaging/ibus-table-xingma-1.2.0.20100305-2.fc12.src.rpm
Description: The structure tables for IBus-Table
Comment 16 Kevin Fenzi 2010-03-06 00:13:34 EST
Your request has ibus-tables-xingma but shouldn't the package name be ibus-table-xingma 
(without the 's')?

Please check and reset the cvs flag.
Comment 17 Caius Chance 2010-03-06 09:54:59 EST
New Package CVS Request
=======================
Package Name: ibus-table-xingma
Short Description: The structural tables for IBus-Table 
Owners: kaio
Branches: F-13
InitialCC: i18n-team    

sorry my mistake
Comment 18 Jason Tibbitts 2010-03-06 11:27:44 EST
This ticket is not assigned to anyone.  I'll fix that up, but please remember to assign tickets to yourself when you review them.
Comment 19 Jason Tibbitts 2010-03-06 11:28:15 EST
CVS done (by process-cvs-requests.py).
Comment 20 Fedora Update System 2010-03-07 21:16:30 EST
ibus-table-xingma-1.2.0.20100305-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-table-xingma-1.2.0.20100305-2.fc13
Comment 21 Fedora Update System 2010-03-08 22:11:32 EST
ibus-table-xingma-1.2.0.20100305-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-table-xingma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ibus-table-xingma-1.2.0.20100305-2.fc13
Comment 22 Fedora Update System 2010-03-11 08:33:33 EST
ibus-table-xingma-1.2.0.20100305-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.